For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# List simulation suites

GET https://api.synthflow.ai/v2/simulation_suites

List simulation suites with pagination and optional filtering.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/list-simulation-suites

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulation_suites:
    get:
      operationId: list-simulation-suites
      summary: List simulation suites
      description: List simulation suites with pagination and optional filtering.
      tags:
        - ''
      parameters:
        - name: page_number
          in: query
          description: Page number.
          required: false
          schema:
            type: integer
            default: 1
        - name: page_size
          in: query
          description: Number of items per page.
          required: false
          schema:
            type: integer
            default: 10
        - name: search
          in: query
          description: Search term for simulation suite names.
          required: false
          schema:
            type: string
        - name: model_ids
          in: query
          description: Filter by list of model IDs.
          required: false
          schema:
            type: array
            items:
              type: string
        - name: start_date
          in: query
          description: Filter by created_at >= start_date (ISO format).
          required: false
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          description: Filter by created_at <= end_date (ISO format).
          required: false
          schema:
            type: string
            format: date-time
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/list-simulation-suites_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/List-simulation-suitesRequestBadRequestError
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    status:
      type: string
      description: Whether the request was successful.
      title: status
    SimulationCaseSummary:
      type: object
      properties:
        simulation_case_id:
          type: string
          format: uuid
          description: Unique identifier for the simulation case
        name:
          type: string
          description: Name of the simulation case
      required:
        - simulation_case_id
        - name
      title: SimulationCaseSummary
    AgentListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        avatar:
          type:
            - string
            - 'null'
      title: AgentListItem
    SimulationSuiteListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Suite ID
        name:
          type: string
          description: Name of the simulation suite
        model_id:
          type: string
          description: Agent model ID this suite is for
        workspace_id:
          type: string
          description: Workspace ID this suite belongs to
        language:
          type: string
          default: en-US
          description: >-
            Language locale for the persona agent and test cases (e.g., 'en-US',
            'es-ES', 'fr-FR')
        created_at:
          type: string
          format: date-time
          description: When the suite was created
        updated_at:
          type: string
          format: date-time
          description: When the suite was last updated
        case_summaries:
          type: array
          items:
            $ref: '#/components/schemas/SimulationCaseSummary'
          description: Summary of cases in this suite
        agent:
          $ref: '#/components/schemas/AgentListItem'
          description: Agent information associated with this suite
      required:
        - id
        - name
        - model_id
        - workspace_id
      title: SimulationSuiteListItem
    PaginatedSimulationSuitesList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SimulationSuiteListItem'
          description: List of simulation suites
        total:
          type: integer
          description: Total number of simulation suites
        page_number:
          type: integer
          description: Current page number
        page_size:
          type: integer
          description: Number of items per page
      required:
        - items
        - total
        - page_number
        - page_size
      title: PaginatedSimulationSuitesList
    list-simulation-suites_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: '#/components/schemas/PaginatedSimulationSuitesList'
      title: list-simulation-suites_Response_200
    List-simulation-suitesRequestBadRequestError:
      type: object
      properties: {}
      title: List-simulation-suitesRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_suites"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_suites"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_suites")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/simulation_suites")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_suites");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_suites")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```